cURL
curl --request GET \
--url https://api.useanima.sh/v1/me/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/me/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/me/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "ACTIVE",
"apiKeyPrefix": "<string>",
"keyRotatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"voiceId": "<string>",
"emailIdentities": [
{
"id": "<string>",
"email": "jsmith@example.com",
"domain": "<string>",
"localPart": "<string>",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"phoneIdentities": [
{
"id": "<string>",
"phoneNumber": "<string>",
"providerId": "<string>",
"capabilities": {
"sms": false,
"mms": false,
"voice": false
},
"tenDlcStatus": "PENDING",
"isPrimary": true,
"voiceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"readiness": {
"canSendEmail": true,
"canReceiveEmail": true,
"canSendSms": true,
"canPlaceVoiceCall": true,
"blockers": [
{
"code": "IDENTITY_NOT_VERIFIED",
"field": "<string>",
"hint": "<string>",
"remediationUrl": "<string>"
}
]
}
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}API Reference
Get meagents
GET
/
me
/
agents
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
Opaque cursor from a previous response to fetch the next page
Pattern:
^[cC][^\s-]{8,}$Maximum number of items to return per page (1–100, default 20)
Required range:
1 <= x <= 100Filter agents by lifecycle status
Available options:
ACTIVE, SUSPENDED, DELETED Free-text search by name or slug
Required string length:
1 - 120⌘I
